bitel.billing.server.call.bean

## Class VoiceUtils

- java.lang.Object
- - bitel.billing.server.call.bean.VoiceUtils

- Direct Known Subclasses:
    VoiceUtils

      public abstract class VoiceUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceUtils()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getDestTitle(int code)`
    `protected java.lang.String` | `getDestTitle(java.lang.String table, int code)`
    `static VoiceUtils` | `getVoiceUtils(java.lang.String module, java.sql.Connection con, int mid, Preferences moduleSetup)`
    `void` | `init(java.sql.Connection con, int mid)`
    `void` | `initDests(java.lang.String table)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceUtils

          public VoiceUtils()

  - ### Method Detail

    - #### getVoiceUtils

          public static VoiceUtils getVoiceUtils(java.lang.String module,
                                                 java.sql.Connection con,
                                                 int mid,
                                                 Preferences moduleSetup)
                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### init

          public void init(java.sql.Connection con,
                           int mid)

    - #### initDests

          public void initDests(java.lang.String table)

    - #### getDestTitle

          public abstract java.lang.String getDestTitle(int code)

    - #### getDestTitle

          protected java.lang.String getDestTitle(java.lang.String table,
                                                  int code)